/*  ---------------------------------------------- !
! The current OpenMP code has the purpose:         !
! (1) defensive programming.                       !
!--------------------------------------------------!
! Xiaoxu Guan at LSU HPC.                          !
! March 07, 2016                                   !
!-------------------------------------------------*/

#ifdef _OPENMP
#      include <omp.h>
#endif

#include <stdio.h>
#include <stdlib.h>

int main () {

int id;
#pragma omp parallel
{

   #ifdef _OPENMP
     id = omp_get_thread_num();
   #else
     id = 0;
   #endif

  printf("Hello World! from %3d\n", id);
}

}
